function vk_DOMParser()
{
    this.vk_Log( 10, "vk_DOMParser", "()" );
}

vk_DOMParser.prototype.Parse = function( text )
{
    this.vk_Log( 8, "vk_DOMParser", "Parse()" );

    var iframe = document.createElement( "iframe" );

    iframe.style.visibility = "hidden";
    iframe.style.width = "0";
    iframe.style.height = "0";
    iframe.id = "vk_hidden_iframe";

    document.documentElement.appendChild( iframe );

    var doc = iframe.contentDocument;

    document.documentElement.removeChild( iframe );

    // ..   html  innerHTML   html,   
    //    ,      ...
    //    href, src, import, data   
    // Before innerHTML or createContextualFragment need replace
    text = text.replace( /\bhref=/gi, "_href=" );
    text = text.replace( /\bsrc=/gi, "_src=" );
    text = text.replace( /\bimport=/gi, "_import=" );
    text = text.replace( /\bdata=/gi, "_data=" );

    doc.documentElement.innerHTML = text;

    return doc;
}