function vk_Global()
{
    //   XPCOM    ,
    //        JavaScript
    this.wrappedJSObject = this;

    this.initialized = false;
}

vk_Global.prototype.Init = function()
{
    if ( this.initialized ) return;

    {
        this.observer_service = new vk_ObserverService();
        this.observer_service.Init();
    }

    {
        this.test = new vk_Test();
        this.test.Init();
    }

    {
        this.info = new vk_Info();
        this.info.Init();
        this.info.AllowNotifications();
        this.info.InitData();
    }

    {
        this.state = new vk_State();
        this.state.Init();
    }

    {
        this.prefs_provider = new vk_Prefs();
        this.prefs_provider.Init( "extensions.vkontaktetoolbar." );

        this.prefs = this.prefs_provider.GetAllPrefs();

        //    URI     
        try
        { this.prefs.sounds.on_new.user_file = this.prefs_provider.prefs.user.getComplexValue( "sounds.on_new.user_file", Components.interfaces.nsILocalFile ); }
        catch (e) {}
    }

    {
        this.request_queue = new vk_RequestQueue();
        this.request_queue.Init();
    }

    {
        this.feed2 = new vk_Feed2();
        this.feed2.Init();
        this.feed2.Start();
    }

    this.initialized = true;
}

vk_Global.prototype.Destroy = function()
{
    this.feed2.Destroy();
    this.feed2 = undefined;

    this.request_queue.Destroy();
    this.request_queue = undefined;

    this.prefs_provider.Destroy();
    this.prefs_provider = undefined;

    this.state.Destroy();
    this.state = undefined;

    this.info.Destroy();
    this.info = undefined;

    this.test.Destroy();
    this.test = undefined;

    this.observer_service.Destroy();
    this.observer_service = undefined;

    this.initialized = false;
}

vk_Global.prototype.ReInit = function()
{
    this.Destroy();
    this.Init();
}
